Delete an application backup for an app
Deletes an application backup for an app. Use this endpoint to manage storage space by removing unnecessary or outdated backups.
HTTP method and endpoint
DELETE /accounts/{account_id}/k8s/v1/apps/{app_id}/appBackups/{appBackup_id}
Usage notes
Removes the specified Application Backup API resource. Backups in progress will be canceled, and then deleted.
Side Effects
-
If a backup is complete, the backup data is deleted.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
ID of the containing account resource
|
app_id |
string |
path |
True |
ID of the containing app resource |
appBackup_id |
string |
path |
True |
ID of the appBackup collection to list |
Response
Status: 204, Indicates if the appBackup resource was deleted.
Response
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Response
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
array[invalidParams] |
False |
List of invalid query parameters |
Example response
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Response
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Response
Status: 500, Internal server error
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/97",
"title": "Backup not deleted",
"detail": "The backup wasn't deleted because of an internal server issue.",
"status": "500"
}
Response
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/128",
"title": "Backup cancellation not allowed",
"detail": "A pending backup can't be canceled.",
"status": "409"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example error response
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
Definitions
See Definitions
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid query parameter |
reason |
string |
True |
Reason why the query parameter is invalid |